UnregisterInterestOperationContext (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.operations, class: UnregisterInterestOperationContext

Package org.apache.geode.cache.operations

# Class UnregisterInterestOperationContext

java.lang.Object
org.apache.geode.cache.operations.OperationContext
org.apache.geode.cache.operations.InterestOperationContext
org.apache.geode.cache.operations.UnregisterInterestOperationContext

@Deprecated public class UnregisterInterestOperationContext extends InterestOperationContext
Deprecated.
since Geode1.0, use `ResourcePermission` instead
Encapsulates a `OperationContext.OperationCode.UNREGISTER_INTEREST` region operation for the pre-operation case.

Since:
  GemFire 5.5

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

  `OperationContext.OperationCode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnregisterInterestOperationContext(Object key, InterestType interestType)`
  Deprecated.
  Constructor for the unregister interest operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OperationContext.OperationCode`
  `getOperationCode()`
  Deprecated.
  Return the operation associated with the `OperationContext` object.

  ### Methods inherited from class org.apache.geode.cache.operations.InterestOperationContext

  `getInterestType, getKey, isPostOperation, setKey`

  ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

  `isClientUpdate, isClientUpdate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UnregisterInterestOperationContext

    public UnregisterInterestOperationContext(Object key, InterestType interestType)
    Deprecated.
    Constructor for the unregister interest operation.
    Parameters:
      `key` - the key or list of keys being unregistered
      `interestType` - the `InterestType` of the unregister request

- ## Method Details

  - ### getOperationCode

    public OperationContext.OperationCode getOperationCode()
    Deprecated.
    Return the operation associated with the `OperationContext` object.
    Specified by:
      `getOperationCode` in class `OperationContext`
    Returns:
      `OperationCode.UNREGISTER_INTEREST`.